Summary: SME Server specific Kronolith configuration and templates.
%define name smeserver-kronolith
Name: %{name}
%define version 1.1
%define release 11
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-kronolith-1.1-1.conf_php.patch
Patch1: smeserver-kronolith-1.1-2.prefs_php.patch
Patch2: smeserver-kronolith-1.1-3.remove_freebusy_template.patch
Patch3: smeserver-kronolith-1.1-4.kronolith-2.1.3_prefs.php.patch
Patch4: smeserver-kronolith-1.1-5.mysql_init_perm_change.patch
Patch5: smeserver-kronolith-1.1-6.freebusy_wording.patch
Patch6: smeserver-kronolith-1.1-7.registry_php.patch
Patch7: smeserver-kronolith-1.1-usermanager.patch
Patch8: smeserver-kronolith-1.1-ldap.patch
Packager: John H. Bennett III <bennettj@johnbennettservices.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: imp-h3 >= 4.1
Requires: e-smith-base >= 4.15.1
Requires: e-smith-apache >= 1.1.0-18
Requires: e-smith-lib >= 1.15.1-16
Requires: e-smith-base >= 4.18.1-5
Requires: e-smith-ldap >= 4.12.0-9
Requires: kronolith-h3 >= 2.1
Requires: php-pear-HTTP-Request >= 1.4.0
Requires: php-pear-Net-Socket >= 1.0.6
Requires: php-pear-Net-URL >= 1.0.14
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no
Obsoletes: e-smith-kronolith = 0.8.0-02db
Obsoletes: pear-http_request >= 1.4.0 
Obsoletes: pear-net_socket >= 1.0.6 
Obsoletes: pear-net_url >= 1.0.14 


%changelog
* Tue Apr 1 2008 Shad L. Lords <slords@mail.com> 1.1-11
- Move free/busy base & ldap to correct rpms [SME: 1806]

* Sun Aug 26 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-10
- Added obsoletes for the previous three pear modules required by kronolith.

* Sun Aug 26 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-9
- Updated spec file to add requires for php-pear package names that match
  the naming convention in the SME8 repo.

* Sat May  5 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-8
- Added Requires parameter for pear-http_request, pear-net_socket, and
  pear-net_url that kronolith needs.

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Wed Mar 28 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-7
- Update to kronolith specific registry.php template to add kronolith-alarms
  per update of horde 3.1.4

* Thu Dec 28 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-6
- Patch that changes the example FreeBusy format to match Kronolith 2.1.x.

* Sat Dec 2 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-5
- Patch to change the kronolith mysql.init permissions to 0540

* Thu Nov 24 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-4
- Patch to prefs.php templates to reflet changes in kronolith 2.1.3

* Mon Oct 2 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-3
- Removed the templates-custom section that checked for the freebusy db setting
  and moved it to the e-smith-turba RPM that I am currently maintaining for 
  turba 2.1.x

* Fri Sep 15 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-2
- Patch to prefs.php templates to reflect changes in kronolith 2.1.2

* Thu Sep 14 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-1
- Patch to conf.php templates to reflect changes in kronolith 2.1.2

* Thu Sep 14 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-0
- Rolled to new dev stream to reflect work done for kronolith 2.1.2

* Wed Aug 30 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-19
- Manually changed the S24 to an S27 in smeserver-kronolith-1.0-11.adv-ldap-update.patch 
- and smeserver-kronolith-1.0-15.ldap_user-create.patch so that the FreeBusy info will be 
  added after all of the user information is added.
- Modified the adv-ldap-update logic so that the error when adding a user is no longer
  present.  The error was cosmetic as the system was trying to create a new ldap user 
  twice.  All I did was remove all of the ldap attribute lines except those pertaining
  to free/busy info and remarked out some unneeded lines that could have been deleted,
  but I chose to leave them.

* Mon Aug 21 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-18
- Added the ability to enable or disable the storing of freebusy information
  for horde to the ldap database.

* Thu Jul 20 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-17
- Added Kronolith registry.php settings in horde/config/registry.

* Tue Jul 18 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-16
- Added a mysql.init event that will increase the permissons for the horde user on the horde
  database so that other horde add-on modules will work correctly, namely Kronolith.

* Mon Jul 3 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-15
- Added an S24adv-ldap-update entry to the user-create event so that the freebusy
  url will be saved to the ldap database when a user is initally created using the
  advanced user management panel.  It is purposely running before S25ldap-update
  so that the freebusy info will be saved when a new user is created otherwise there
  is an error.  There is still an error with the S25 action as both actions are 
  trying to create a user, but the error has no effect.  The S24adv-ldap-update file
  is a complete copy of the S25ldap-update with is symlinked to actions/ldap-update.

* Mon Jul 3 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-14
- Set the default DB entry for freebusy to enabled.  
  To disable config setprop horde freebusy disabled 

* Mon Jul 3 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-13
- Changed the default free/busy address book search to the local ldap setting

* Sun Jul 2 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-12
- Added some verbage to show what the format of the free/busy url should be.

* Sun Jul 2 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-11
- Added server-manager panel for advanced user management.  This is a duplicate
  of the SME Server's Users Panel but adds the ability to save Kronolith 
  Free/Busy information into the LDAP database.

* Tue Jun 22 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-10
- Removed 1.0-9 patch and fixed in source

* Sat Jun 10 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-9
- Removed deprecated calls to esmith:db and esmith:config

* Mon Jun 05 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-8
- Fixed typo on Patch 5

* Mon May 22 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-7
- Started working on intergrating Free/Busy info into the main SME server LDAP database.
  This should help a lot in setting up a company wide directory with Free/Busy information
  already populated in the DB which should eliminate the need for each user to have to setup
  a personal address book with everyone's name that they want to do free/busy against.  
- To activate it - config setprop horde freebusy enabled.  Default is disabled.

* Sat May 6 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-6
- modified the hordereminders crontab entry by adding a -q option which
  runs the script in quiet-mode and suppresses the HTTP Header output.  
  Thanks to Greg Swallow for the hint.  Now the reminders script runs without
  sending  an email to the admin every five minutes

* Sat Apr 1 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-5     
- Added back in the horde reminders php script.  It does work with the CGI version
  of php.  There is a side-effect in that the script sends an email to the root user 
  every time it's executed.  Setting up a simple rule to remove that e-mail should be
  sufficient until the CLI version of PHP is available.  The cron entry has also been
  moved from /etc/cron.d to /etc/crontab

* Wed Mar 22 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-4
- Added an includes statement to 120Menusettings that will grab the information
  in horde/conf.menu.apps.php.  This way each of the individual horde modules 
  don't have to repeatedly process the same template for the menu array section in conf.php.

* Sat Mar 18 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-3
- Added the ability to enable or disable kronolith menu icon from showing up on the
  main webmail screen.  To enable config set kronolith service MenuArray disabled|enabled
- e-smith-horde still needs to support this feature or manual intervention is
  required.

* Fri Mar 3 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-2
- Remarked out HordeReminders script as it currently won't work on SME 7 due
  to the fact that the php version installed by default is the cgi version and
  not the cli version.  Horde reminders requires the cli version of php to work.

* Wed Mar 1 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-1
- Removed post and postun events
- Renamed to smeserver-kronolith to represent an addon product

* Sat Feb 25 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-0
- Initial build

%description
This package adds necessary templates and configuration items
so that Kronolith will work properly.

%prep
%setup

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
 
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
